Can’t update Jetpack plugin.

I am trying to update Jetpack plugin but it’s giving me an error saying: “Couldn’t update the plugin”. But I was able to update other plugins and it was working. Only having issues with Jetpack. Can you help me fixing this?